export const CARD_VERSION = "1.0.0";

export const EXAM_NUMBER_STYLE = {
  0: "印刷条码",
  1: "粘贴条码",
  2: "卡号填涂"
};
export const EXAM_NUMBER_STYLE_MAP = {
  0: "auto",
  1: "empty",
  2: "fill"
};

export const PAPER_TYPE = {
  0: "印刷",
  1: "填涂"
};

export const PAPER_TYPE_MAP = {
  0: "auto",
  1: "fill"
};

export const transformField = data => {
  const businessParams = [
    ...JSON.parse(data.examMustColumn),
    ...JSON.parse(data.examExtendColumn)
  ]
    .filter(item => item.select)
    .map(item => {
      return {
        name: item.name,
        field: item.code
      };
    });

  const config = {
    missAndFill: !!data.examAbsent,
    writeSign: !!data.writeSign,
    examNumberStyle: EXAM_NUMBER_STYLE_MAP[data.examNumberStyle], // auto:自动条码, empty:手动条码, fill:手动涂填
    // aOrBSystem: true, // 后台附带的aOrB设置，如果有则使用这个值，如果没有则前台自动设置
    aOrBType: PAPER_TYPE_MAP[data.paperType], // fill:手动涂填,auto:自动条码
    schoolName: data.schoolName,
    businessParams,
    noticeHead: data.attention.split("\n") || [],
    objectiveNotice: data.objectiveAttention,
    subjectiveNotice: data.subjectiveAttention
  };
  return config;
};

export const getAOrBSystem = data => {
  return data["enablePaperType"]
    ? data.enablePaperType.split(",").length > 1
    : null;
};
