import { $get, $post } from "@/plugins/axios";

// wait-manage
export const waitTaskListPage = datas => {
  return $get("/api/print/exam/examTask/listNotDonePage", datas);
};
export const waitTaskDetail = taskId => {
  return $get("/api/print/exam/examTask/detailNotDone", { taskId });
};
export const saveWaitTask = datas => {
  return $post("/api/print/exam/examTask/draft", datas);
};
export const submitWaitTask = datas => {
  return $post("/api/print/exam/examTask/submit", datas);
};

// done-task
export const doneTaskListPage = datas => {
  return $get("/api/print/exam/examTask/listDonePage", datas);
};
export const doneTaskDetail = taskId => {
  return $get("/api/print/exam/examTask/detailDone", { taskId });
};
// 撤回
export const revokeDoneTask = ({ taskId, examId }) => {
  return $post("/api/print/exam/examTask/revoke", { taskId, examId });
};

// exam-manage
export const examListPage = datas => {
  return $get("/api/print/exam/exam/listPage", datas);
};
export const examList = () => {
  return $get("/api/print/exam/exam/list", {});
};
export const examSiteRoomList = () => {
  return $get("/api/print/exam/exam/listRooms", {});
};
export const examDetail = examId => {
  return $get("/api/print/exam/exam/preEdit", { examId });
};
export const uploadExam = datas => {
  if (datas.tcPExam.id) {
    return $post("/api/print/exam/exam/edit", datas);
  } else {
    return $post("/api/print/exam/exam/add", datas);
  }
};
export const examRoomDetail = datas => {
  return $get("/api/print/exam/exam/listExamDetailPage", datas);
};
export const examBusinessData = datas => {
  return $get("/api/print/exam/exam/preViewExamData", datas);
};
export const studentDetail = datas => {
  return $get("/api/print/exam/exam/listExamStudentPage", datas);
};
export const deleteExam = examId => {
  return $post("/api/print/exam/exam/delete", { examId });
};

// course
export const courseList = () => {
  return $get("/api/print/basic/sys/courseList", {});
};

// card-manage
export const cardList = datas => {
  return $get("/api/print/card/card/list", datas);
};
export const cardListPage = datas => {
  return $get("/api/print/card/card/listPage", datas);
};
export const createCard = datas => {
  return $post("/api/print/card/card/add", datas);
};
export const copyCard = cardId => {
  return $post("/api/print/card/card/copy", { cardId });
};
export const deleteCard = cardId => {
  return $post("/api/print/card/card/delete", { cardId });
};
export const courseByUser = () => {
  return $get("/api/print/card/card/listCourseByUserId", {});
};
export const changeCardStatus = ({ cardId, cardStatus }) => {
  return $post("/api/print/card/card/changeCardStatus", { cardId, cardStatus });
};

// print-manage
export const printTaskListPage = datas => {
  return $get("/api/print/exam/exam/listPrintPage", datas);
};

// card-audit
export const auditListPage = datas => {
  return $get("/api/print/card/card/listAuditPage", datas);
};
export const schoolList = () => {
  return $get("/api/print/card/card/listSchools", {});
};

// custom upload-file
export const customUpload = options => {
  let formData = new FormData();
  formData.append(options.filename, options.file);
  Object.entries(options.data).forEach(([key, val]) => {
    formData.append(key, val);
  });
  return $post(options.action, formData, {
    headers: options.headers
  });
};
