import Vue from "vue";
import Router from "vue-router";

import Home from "./views/Home.vue";
import NotFound from "./views/404.vue";

import login from "./modules/login/router";
import account from "./modules/account/router";
// module-example
import base from "./modules/base/router";
import examCenter from "./modules/exam-center/router";
import scorePaper from "./modules/score-paper/router";
import analyze from "./modules/analyze/router";
import card from "./modules/card/router";

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: "/",
      name: "Index",
      redirect: { name: "Login" }
    },
    {
      path: "/home",
      name: "Home",
      component: Home,
      children: [...account, ...base, ...examCenter, ...scorePaper, ...analyze]
    },
    { ...login },
    ...card,
    {
      path: "*",
      name: "404",
      component: NotFound
    }
    // [lazy-loaded] route level code-splitting
    // {
    //   path: "/about",
    //   name: "about",
    //   // this generates a separate chunk (about.[hash].js) for this route
    //   // which is lazy-loaded when the route is visited.
    //   component: () =>
    //     import(/* webpackChunkName: "about" */ "./views/About.vue")
    // }
  ]
});
